Get Total Supply of Ether 2
curl --request GET \
--url 'https://api.etherscan.io/v2/api?apikey='import requests
url = "https://api.etherscan.io/v2/api?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.etherscan.io/v2/api?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": {
"EthSupply": "122373866217800000000000000",
"Eth2Staking": "2940327167090033000000000",
"BurntFees": "4610942856337430575173814",
"WithdrawnTotal": "7618584348954597000000000"
}
}
Stats
Get Total Supply of Ether 2
Retrieves the current Ether supply, including circulation, ETH2 staking rewards, EIP-1559 burned fees, and total ETH withdrawn from the beacon chain.
GET
/
v2
/
api
Get Total Supply of Ether 2
{
"status": "1",
"message": "OK",
"result": {
"EthSupply": "122373866217800000000000000",
"Eth2Staking": "2940327167090033000000000",
"BurntFees": "4610942856337430575173814",
"WithdrawnTotal": "7618584348954597000000000"
}
}
Authorizations
Your Etherscan API key.
Query Parameters
Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our supported chains.
Set to stats for this endpoint.
Set to ethsupply2 for this endpoint.
⌘I